<div class="section-container" [formGroup]="tellAboutFormGroup">
    <div class="step">
        <h1 class="step-title">Personal Details</h1>
        <div class="step-body">
            <p class="p-large">Please provide your personal details and verify your current address.</p>
            <app-loader *ngIf="dataLoader"></app-loader>
            <div class="form-group">
                <div class="form-row">
                    <div class="form-col-3 date-field">
                        <mat-form-field>
                            <input [errorStateMatcher]="formSubmittedMatcher" matInput autocomplete="off" [options]="myDobDateOptions" class="date-input" placeholder="Date of Birth" [defaultMonth]="getDOBDefaultMonth(21)" ngx-mydatepicker formControlName="dob" #dob="ngx-mydatepicker" date [length]="10" />
                            <span matSuffix (click)="dob.toggleCalendar()" class="date-img"><img src="assets/images/calender.svg" alt="calender-icon"></span>
                            <mat-error *ngIf="form.dob.errors && form.dob.errors.required">Please enter DOB</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col-3">
                        <mat-form-field>
                            <mat-select [errorStateMatcher]="formSubmittedMatcher" formControlName="gender" placeholder="Gender" disableOptionCentering>
                                <mat-option *ngFor="let type of constantsService.constants.gender" [value]="type.key">{{type.value}}</mat-option>
                            </mat-select>
                            <mat-error *ngIf="form.gender.errors && form.gender.errors.required">Please select Gender</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col-3">
                        <!--<mat-form-field>
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" formControlName="noOfDependents" type="text" placeholder="No of dependents" numberOnly maxlength="1" />
                            <mat-error *ngIf="form.noOfDependents.errors  && form.noOfDependents.errors.required">Please enter No of dependents</mat-error>
                            <mat-error *ngIf="form.noOfDependents.errors  && form.noOfDependents.errors.limit">Please enter number between 1-3</mat-error>
                        </mat-form-field> -->
                        <mat-form-field>
                            <mat-select [errorStateMatcher]="formSubmittedMatcher" formControlName="noOfDependents" placeholder="No of dependents" disableOptionCentering>
                                <mat-option *ngFor="let type of constantsService.constants.noOfDependents" [value]="type.value">{{type.value}}</mat-option>
                            </mat-select>
                            <mat-error *ngIf="form.noOfDependents.errors && form.noOfDependents.errors.required">Please select No of dependents</mat-error>
                        </mat-form-field>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-col-3">
                        <mat-form-field>
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" formControlName="currentAddress" type="text" placeholder="Current Address" alphaNumericWithSpecialsAndSpaceOnly maxlength="255" />
                            <mat-error *ngIf="form.currentAddress.errors  && form.currentAddress.errors.required">Current Address is required</mat-error>
                            <mat-error *ngIf="form.currentAddress.errors  && form.currentAddress.errors.maxlength">Current Address should contain maximum 255 characters</mat-error>
                            <mat-error *ngIf="form.currentAddress.errors  && form.currentAddress.errors.pattern">Please enter valid current Address</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col-3">
                        <mat-form-field>
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" formControlName="currentPinCode" type="text" placeholder="Current PinCode" numberOnly maxlength="6" />
                            <app-loader *ngIf="pinCodeLoder" type="0"></app-loader>
                            <mat-error *ngIf="form.currentPinCode.errors && form.currentPinCode.errors.required">Please enter pincode</mat-error>
                            <mat-error *ngIf="form.currentPinCode.errors && form.currentPinCode.errors.maxlength">Pincode should contain maximum 6 characters</mat-error>
                            <mat-error *ngIf="form.currentPinCode.errors && form.currentPinCode.errors.pattern">Please enter valid pincode</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col-3">
                        <mat-form-field>
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" formControlName="currentCity" type="text" placeholder="Current City" alphaWithSpaces />
                            <mat-error *ngIf="form.currentCity.errors && form.currentCity.errors.required">Please select city</mat-error>
                        </mat-form-field>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-col-3">
                        <mat-form-field>
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" formControlName="currentState" type="text" placeholder="Current state" alphaWithSpaces />
                            <mat-error *ngIf="form.currentState.errors && form.currentState.errors.required">Please select State</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col-3">
                        <mat-form-field>
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" formControlName="currentCountry" type="text" placeholder="Current country" alphaWithSpaces />
                            <mat-error *ngIf="form.currentCountry.errors && form.currentCountry.errors.required">Please select country</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col-3">
                        <mat-form-field>
                            <mat-select [errorStateMatcher]="formSubmittedMatcher" formControlName="residentialStatus" placeholder="Residential Status" disableOptionCentering>
                                <mat-option *ngFor="let type of constantsService.constants.residentialStatus" [value]="type.key">{{type.value}}</mat-option>
                            </mat-select>
                            <mat-error *ngIf="form.residentialStatus.errors && form.residentialStatus.errors.required">Please select residentialStatus</mat-error>
                        </mat-form-field>
                    </div>
                </div> 
                <div class="form-row">
                    <div class="form-col-3">
                        <button class="btn-clear" mat-button [disableRipple]="true" (click)="clearAddress()">Clear address</button>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-col-3">
                        <mat-form-field>
                            <mat-select [errorStateMatcher]="formSubmittedMatcher" formControlName="currentAddressIs" placeholder="Current Address is" disableOptionCentering>
                                <mat-option *ngFor="let type of constantsService.constants.ownedBy" [value]="type.key">{{type.value}}</mat-option>
                            </mat-select>
                            <mat-error *ngIf="form.currentAddressIs.errors && form.currentAddressIs.errors.required">Please select address ownedBy type</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col-3">
                        <mat-form-field>
                            <mat-select [errorStateMatcher]="formSubmittedMatcher" formControlName="citizenShip" placeholder="Citizenship" disableOptionCentering>
                                <mat-option *ngFor="let type of constantsService.constants.citizenShip" [value]="type.key">{{type.value}}</mat-option>
                            </mat-select>
                            <mat-error *ngIf="form.citizenShip.errors && form.citizenShip.errors.required">Please select Citizenship</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col-3">
                        <mat-form-field>
                            <mat-select [errorStateMatcher]="formSubmittedMatcher" formControlName="maritalStatus" placeholder="Marital Status" disableOptionCentering>
                                <mat-option *ngFor="let type of constantsService.constants.maritalStatus" [value]="type.key">{{type.value}}</mat-option>
                            </mat-select>
                            <mat-error *ngIf="form.maritalStatus.errors && form.maritalStatus.errors.required">Please select marital Status</mat-error>
                        </mat-form-field>
                    </div>
                </div>
                <div class="form-row">

                    <div class="form-col-3">
                        <mat-form-field>
                            <mat-select [errorStateMatcher]="formSubmittedMatcher" formControlName="educationQualification" placeholder="Education/Qualification" disableOptionCentering>
                                <mat-option *ngFor="let type of constantsService.constants.education" [value]="type.key">{{type.value}}</mat-option>
                            </mat-select>
                            <mat-error *ngIf="form.educationQualification.errors && form.educationQualification.errors.required">Please select Education</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col-3">
                        <mat-form-field>
                            <mat-select [errorStateMatcher]="formSubmittedMatcher" formControlName="currentAddressProof" placeholder="Current Address Proof" disableOptionCentering>
                                <mat-option *ngFor="let type of constantsService.constants.addressProof" [value]="type.key">{{type.value}} {{type.key}}</mat-option>
                            </mat-select>
                            <mat-error *ngIf="form.currentAddressProof.errors && form.currentAddressProof.errors.required">Please select addressProof</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col-3">
                        <mat-form-field>
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" formControlName="currentAddressProofNumber" type="text" placeholder="current AddressProof Number" alphaNumericOnly upperOnly="true" [length] ="addressLength"/>
                            <mat-error *ngIf="form.currentAddressProofNumber.errors && form.currentAddressProofNumber.errors.required">Please enter address proof Number </mat-error>                           
                            <mat-error *ngIf="form.currentAddressProofNumber.errors && form.currentAddressProofNumber.errors.pattern">Please enter valid {{addressValue}} number</mat-error>
                        </mat-form-field>
                    </div>
                </div>
                <p class="p-label">No of years & month in Current Address</p>
                <div class="form-row year-month-field">
                        <div class="form-col-3">
                            <mat-form-field>
                                <mat-select [errorStateMatcher]="formSubmittedMatcher" formControlName="currentAddrNoOfYears" disableOptionCentering>
                                    <mat-option *ngFor="let type of constantsService.constants.years" [value]="type.value">{{type.value}}</mat-option>
                                </mat-select>
                            </mat-form-field>
                            <p class="experience-label">Years</p>

                        </div>
                        <div class="form-col-3">
                            <mat-form-field>
                                <mat-select [errorStateMatcher]="formSubmittedMatcher" formControlName="currentAddrNoOfMonths" disableOptionCentering>
                                    <mat-option *ngFor="let type of constantsService.constants.months" [value]="type.value">{{type.value}}</mat-option>
                                </mat-select>
                            </mat-form-field>
                            <p class="experience-label">Months</p>

                        </div>
                    </div>
                <div class="btn-wrap">
                    <button type="submit" [disabled]="!tellAboutFormGroup.valid" (click)="savePersonalDetails()" mat-button [disableRipple]="true">Next</button>
                </div>
                <app-loader *ngIf="formSubmitted"></app-loader>
            </div>
        </div>
    </div>

</div>
